class UndoUserActivityRequestModel {
  num? progress;
  String? mobileNumber;
  String? identificationNo;

  UndoUserActivityRequestModel({
    this.progress,
    this.mobileNumber,
    this.identificationNo,
  });

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (progress != null) map['Progress'] = progress;
    if (mobileNumber != null) map['MobileNumber'] = mobileNumber;
    if (identificationNo != null) map['IdentificationNo'] = identificationNo;
    return map;
  }

  factory UndoUserActivityRequestModel.fromJson(Map<String, dynamic> json) => UndoUserActivityRequestModel(
        progress: json['Progress'],
        mobileNumber: json['MobileNumber']?.toString(),
        identificationNo: json['IdentificationNo']?.toString(),
      );
}

